Retrieve a batch crypto transfer
curl --request GET \
--url https://production.hifibridge.com/v2/wallets/transfers/batches/{transferId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/wallets/transfers/batches/{transferId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/wallets/transfers/batches/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferType": "WALLET.TRANSFER.BATCH",
"transferDetails": {
"id": "879af7af-67bf-469f-b718-d262a39d4857",
"requestId": "14a84906-b72e-4847-b34d-51b9048fa6a5",
"createdAt": "2025-04-05T00:55:50.609Z",
"updatedAt": "2025-04-05T00:56:33.236Z",
"chain": "POLYGON",
"currency": "usdc",
"contractAddress": "0x41e94eb019c0762f9bfcf9fb1e58725bfb0e7582",
"status": "COMPLETED",
"source": {
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be",
"walletAddress": "0x99a8c5ED386d217BC6ff0AA1b3585606D475432B",
"walletType": "INDIVIDUAL"
},
"destination": {
"batch": [
{
"amount": "0.04",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
},
{
"amount": "0.05",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
},
{
"amount": "0.06",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
},
{
"amount": "0.03",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
},
{
"amount": "0.03",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
}
]
},
"receipt": {
"transactionHash": "0x57f0cd3429ea425d982882243428ef4a1eda5f1be2157c1b34ea48b49b24fe7f",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac"
}
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Wallet Transfers
Retrieve a batch crypto transfer
GET
/
v2
/
wallets
/
transfers
/
batches
/
{transferId}
Retrieve a batch crypto transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Transfer record ID.
⌘I